CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
Privilege Class Reference

User rights management framework allowing custom privege definition. More...

## Setup/Initialization/Destruction
| Privilege ($Id, $Name=NULL)
| Object Constructor Pass in a value for the name and a NULL id to make a new privilege. More...
| Delete ()
| Delete this privelege from the DB NOTE: the object should not be used after calling this. More...

## Accessors
| Id ()
| Get Id. More...
| Name ($NewValue=NULL)
| Get or set Name. More...
| IsPredefined ($Id=NULL)
| Report whether privilege is predefined or custom Can be called as Privilege::IsPredefind(ID) More...

## Detailed Description

User rights management framework allowing custom privege definition.

Definition at line 16 of file Privilege.php.

## Member Function Documentation

Privilege::Delete | ( |  | ) |

Delete this privelege from the DB NOTE: the object should not be used after calling this.

Definition at line 74 of file Privilege.php.

References Id(), and IsPredefined().

Privilege::Id | ( |  | ) |

Get Id.

Returns
  Id

Definition at line 90 of file Privilege.php.

Referenced by Delete(), Name(), and Privilege().

Here is the caller graph for this function:

Privilege::IsPredefined | ( |  | $Id = `NULL` | ) |

Report whether privilege is predefined or custom Can be called as Privilege::IsPredefind(ID)

Parameters

  int | $Id | (OPTIONAL)

Returns
  TRUE for predefined values, FALSE otherwise

Definition at line 116 of file Privilege.php.

Referenced by Delete(), Name(), and Privilege().

Here is the caller graph for this function:

Privilege::Name | ( |  | $NewValue = `NULL` | ) |

Get or set Name.

Parameters

  string | $NewValue | (OPTIONAL)

Returns
  Current setting of the name

Definition at line 97 of file Privilege.php.

References Id(), and IsPredefined().

Referenced by Privilege().

Here is the caller graph for this function:

Privilege::Privilege | ( |  | $Id,
|  |  | $Name = `NULL`
| ) |  |

Object Constructor Pass in a value for the name and a NULL id to make a new privilege.

Parameters

  int | $Id | Privilege ID number
  string | $Name |

Definition at line 29 of file Privilege.php.

References Id(), IsPredefined(), and Name().

The documentation for this class was generated from the following file:

- objects/Privilege.php